カスタムドメイン
GET https://olinke.com/api/domains/
curl --request GET \
--url 'https://olinke.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列。 |
| search_by | オプション 文字列 | 検索するフィールドは何ですか。許可されている値は:host。 |
| is_enabled | オプション ブール値 | |
| datetime_field | オプション 文字列 | 許可された値: datetime, last_datetime |
| datetime_start | オプション 文字列 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | オプション 文字列 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | オプション 文字列 | 結果をどのフィールドで並べ替えるか。許可されている値は:domain_id, datetime, last_datetime, host。 |
| order_type | オプション 文字列 | 結果の並び順。許可されている値は、昇順のためのASCと、降順のためのDESCです。 |
| page | オプション 整数 | 結果を取得したいページ番号。デフォルトは1です。 |
| results_per_page | オプション 整数 | 1ページあたりの結果数はどのくらいにしますか。許可されている値は:10, 25, 50, 100, 250, 500, 1000。デフォルトは25です。 |
{
"data": [
{
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-17 11:23:29",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://olinke.com/api/domains?page=1",
"last": "https://olinke.com/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://olinke.com/api/domains?page=1"
}
}
GET https://olinke.com/api/domains/{domain_id}
curl --request GET \
--url 'https://olinke.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-17 11:23:29",
}
}
POST https://olinke.com/api/domains
| パラメータ | 詳細 | 説明 |
|---|---|---|
| host | 必須 文字列 | - |
| custom_index_url | オプション 文字列 | - |
| custom_not_found_url | オプション 文字列 | - |
curl --request POST \
--url 'https://olinke.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://olinke.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://olinke.com/api/domains/{domain_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| host | オプション 文字列 | - |
| custom_index_url | オプション 文字列 | - |
| custom_not_found_url | オプション 文字列 | - |
curl --request POST \
--url 'https://olinke.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://olinke.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://olinke.com/api/domains/{domain_id}
curl --request DELETE \
--url 'https://olinke.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \